GET
Get a video clone

Authorizations

Authorization
string
header
required

Provide your API key in the Authorization header using Bearer auth

Path Parameters

id
string
required

Video clone ID

Response

OK

A video clone task (POST /v1/videos/clone, GET /v1/videos/clone/{id}). The settings are those of the current revision.

id
string

Video clone ID

Example:

"vclone_0192f1c3a7b87c3e9a4f5b6c7d8e9f01"

object
string

Always video.clone

Example:

"video.clone"

status
enum<string>

Status of the current revision: draft / producing / waiting_input / completed / failed / cancelled

Available options:
draft,
producing,
waiting_input,
completed,
failed,
cancelled
Example:

"producing"

current_revision_no
integer<int32>

Current revision number

Example:

1

source
object

A file with a signed download link.

source_url
string

Link given as source_url

source_duration_ms
integer<int64>

Reference video length (ms), after it has been probed

prompt
string

Request of the current revision

models
object

Models used by the video clone.

aspect_ratio
string

Requested aspect ratio; the plan has the one actually used

Example:

"auto"

resolution
string

Resolution

Example:

"720p"

max_duration_seconds
integer<int32>

Maximum length of the final video (seconds)

Example:

300

audio_policy
enum<string>

keep / mute / dub / generated

Available options:
keep,
mute,
dub,
generated
Example:

"keep"

voice
string

Voice for the voiceover

auto_confirm
boolean

Whether steps are confirmed automatically

revisions
object[]

Revisions, oldest first

end_user
string

End-user identifier

metadata
object

Caller metadata

created_at
integer<int64>

Creation time (Unix seconds)